﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DotNetNuclear.Modules.ViewsTutorial.Components;
using DotNetNuke.Common;
using DotNetNuke.Entities.Modules;

namespace DotNetNuclear.Modules.ViewsTutorial.Controls
{
    public partial class DeleteItem : PortalModuleBase
    {
        public int ItemId 
        {
            get
            {
                try 
                {
                    return Convert.ToInt32(ViewState["dotnetnuclear_viewtutorial_itemid"]);
                } 
                catch 
                {
                    return 0;
                }
            }
            set
            {
                ViewState["dotnetnuclear_viewtutorial_itemid"] = value.ToString();
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                var qs = Request.QueryString["tid"];
                if (qs != null)
                    ItemId = Convert.ToInt32(qs);

                bindPage();
            }
        }

        protected void lbDelete_Click(object sender, EventArgs e)
        {
            var tc = new ItemController();
            tc.DeleteItem(ItemId, base.ModuleId);
            Response.Redirect(Globals.NavigateURL());
        }

        protected void lbCancel_Click(object sender, EventArgs e)
        {
            Response.Redirect(Globals.NavigateURL());
        }

        private void bindPage()
        {
            var tc = new ItemController();
            var itemObj = tc.GetItem(ItemId, ModuleId);
            lblDelItemName.Text = itemObj.ItemName;
            lblDelItemUpdated.Text = itemObj.LastModifiedOnDate.ToShortDateString();
        }
    }
}