﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DotNetNuke.Services.Exceptions;
using DotNetNuclear.Modules.ViewsTutorial.Components;
using DotNetNuke.Common;
using DotNetNuke.Entities.Modules;

namespace DotNetNuclear.Modules.ViewsTutorial.Controls
{
    public partial class ItemList : PortalModuleBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                BindData();
            }
            catch (Exception exc) //Module failed to load
            {
                Exceptions.ProcessModuleLoadException(this, exc);
            }
        }

        private void BindData()
        {
            var tc = new ItemController();
            rptItemList.DataSource = tc.GetItems(ModuleId);
            rptItemList.DataBind();
        }

        protected void rptItemListOnItemDataBound(object sender, RepeaterItemEventArgs e)
        {
            if (e.Item.ItemType == ListItemType.AlternatingItem || e.Item.ItemType == ListItemType.Item)
            {
                var lnkEdit = e.Item.FindControl("lnkEdit") as HyperLink;
                var lnkDelete = e.Item.FindControl("lnkDelete") as HyperLink;

                var pnlAdminControls = e.Item.FindControl("pnlAdmin") as Panel;

                var t = (Item)e.Item.DataItem;

                if (IsEditable && lnkDelete != null && lnkEdit != null && pnlAdminControls != null)
                {
                    pnlAdminControls.Visible = true;
                    lnkDelete.Enabled = lnkDelete.Visible = lnkEdit.Enabled = lnkEdit.Visible = true;

                    lnkEdit.NavigateUrl = EditUrl("tid", t.ItemId.ToString(), "AddEdit");

                    lnkDelete.NavigateUrl = Globals.NavigateURL("", String.Format("cid={0}&tid={1}", "DeleteItem", t.ItemId));
                }
                else
                {
                    pnlAdminControls.Visible = false;
                }
            }
        }

    }
}