﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ViewMulti.ascx.cs" Inherits="DotNetNuclear.Modules.ViewsTutorial.ViewMulti" %>

<asp:MultiView ID="mvItemMultiView" ActiveViewIndex="0" OnActiveViewChanged="mvItemMultiView_ActiveViewChanged" runat="server">
    <asp:View ID="vwItemList" runat="server">
        <asp:Repeater ID="rptItemList" runat="server" OnItemDataBound="rptItemListOnItemDataBound" OnItemCommand="rptItemListOnItemCommand">
            <HeaderTemplate>
                <ul class="tm_tl">
            </HeaderTemplate>
            <ItemTemplate>
                <li class="tm_t">
                    <h3>
                        <asp:Label ID="lblitemName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ItemName").ToString() %>' />
                    </h3>
                    <asp:Label ID="lblItemDescription" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ItemDescription").ToString() %>' CssClass="tm_td" />

                    <asp:Panel ID="pnlAdmin" runat="server" Visible="false">
                        <asp:HyperLink ID="lnkEdit" runat="server" ResourceKey="EditItem.Text" Visible="false" Enabled="false" />
                        <asp:LinkButton ID="lnkDelete" runat="server" ResourceKey="DeleteItem.Text" Visible="false" Enabled="false" CommandName="Delete" />
                    </asp:Panel>
                </li>
            </ItemTemplate>
            <FooterTemplate>
                </ul>
            </FooterTemplate>
        </asp:Repeater>
    </asp:View>
    <asp:View ID="vwDeleteDlg" runat="server">
        <asp:HiddenField ID="hidDeleteItem" runat="server" />
        <asp:Panel ID="pnlDeleteItem" CssClass="item-delete-panel" runat="server">
            <h2>Are you sure you want to delete this item?</h2>
            <h3>Item to delete:</h3>
            <ul>
                <li><b>Name:</b> <asp:Label ID="lblDelItemName" runat="server" /></li>
                <li><b>Last Updated:</b> <asp:Label ID="lblDelItemUpdated" runat="server" /></li>
            </ul>
            <ul class="dnnActions dnnClear">
                <li><asp:LinkButton ID="lbDelete" runat="server" CssClass="dnnPrimaryAction" OnClick="lbDelete_Click" ResourceKey="btnDelete" /></li>
                <li><asp:LinkButton ID="lbCancel" runat="server" CssClass="dnnSecondaryAction" OnClick="lbCancel_Click" ResourceKey="btnCancel" /></li>
            </ul>
        </asp:Panel>
    </asp:View>
</asp:MultiView>

